diff --git a/configure b/configure
index 08e564f0d94a3a238b8dbc82a19685d70fffce91..e9a1de9517e410417ebe7ea75eb7d5608f4de121 100755
--- a/configure
+++ b/configure
@@ -1309,8 +1309,8 @@ Optional Packages:
   --occ-mesh-constraints-prefix=PFX
                           prefix where OCC mesh contraints source code is
                           located
-  --with-hdf5-prefix=PFX  prefix where OpenCascade is installed
-  --with-med-prefix=PFX   prefix where OpenCascade is installed
+  --with-hdf5-prefix=PFX  prefix where HDF5 is installed
+  --with-med-prefix=PFX   prefix where MED is installed
   --with-fftw3-prefix=PFX prefix where FFTW3 is installed
   --with-fm-prefix=PFX    prefix where FourierModel is installed
   --with-blas-lapack-prefix=PFX
@@ -4880,87 +4880,6 @@ echo "$as_me: error: Could not find GSL, aborting." >&2;}
 fi
 
 
-if test "x${CGNS_PREFIX}" != "x"; then
-  if test "x$enable_cgns" != "xno"; then
-    enable_cgns="yes"
-  fi
-fi
-if test "x$enable_cgns" = "xyes"; then
-  if test "x${CGNS_PREFIX}" != "x"; then
-    LDFLAGS="-L${CGNS_PREFIX}/lib ${LDFLAGS}"
-  fi
-  { echo "$as_me:$LINENO: checking for main in -lcgns" >&5
-echo $ECHO_N "checking for main in -lcgns... $ECHO_C" >&6; }
-if test "${ac_cv_lib_cgns_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lcgns  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-return main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_cgns_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_cgns_main=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_cgns_main" >&5
-echo "${ECHO_T}$ac_cv_lib_cgns_main" >&6; }
-if test $ac_cv_lib_cgns_main = yes; then
-  CGNS="yes"
-else
-  CGNS="no"
-fi
-
-  if test "x${CGNS}" = "xyes"; then
-    if test "x${CGNS_PREFIX}" = "x"; then
-      GMSH_LIBS="${GMSH_LIBS} -lcgns"
-      FLAGS="${FLAGS} -DHAVE_LIBCGNS"
-    else
-      GMSH_LIBS="${GMSH_LIBS} -L${CGNS_PREFIX}/lib -lcgns"
-      FLAGS="${FLAGS} -DHAVE_LIBCGNS -I${CGNS_PREFIX}/include"
-    fi
-  fi
-fi
-
 if test "x${OCC_PREFIX}" != "x"; then
   if test "x$enable_occ" != "xno"; then
     enable_occ="yes"
@@ -5402,6 +5321,58 @@ else
   BLAS="no"
 fi
 
+if test "x$BLAS" != "xyes"; then
+   { echo "$as_me:$LINENO: checking for dasum_ in -lblas" >&5
+echo $ECHO_N "checking for dasum_ in -lblas... $ECHO_C" >&6; }
+if test "${ac_cv_lib_blas_dasum_+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lblas  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+      program main
+      call dasum_
+      end
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_blas_dasum_=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_blas_dasum_=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_blas_dasum_" >&5
+echo "${ECHO_T}$ac_cv_lib_blas_dasum_" >&6; }
+if test $ac_cv_lib_blas_dasum_ = yes; then
+  BLAS="yes"
+else
+  BLAS="no"
+fi
+
+fi
 { echo "$as_me:$LINENO: checking for dbdsqr in -llapack" >&5
 echo $ECHO_N "checking for dbdsqr in -llapack... $ECHO_C" >&6; }
 if test "${ac_cv_lib_lapack_dbdsqr+set}" = set; then
@@ -5452,6 +5423,58 @@ else
   LAPACK="no"
 fi
 
+if test "x$BLAS" != "xyes"; then
+   { echo "$as_me:$LINENO: checking for dbdsqr_ in -llapack" >&5
+echo $ECHO_N "checking for dbdsqr_ in -llapack... $ECHO_C" >&6; }
+if test "${ac_cv_lib_lapack_dbdsqr_+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-llapack -lblas $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+      program main
+      call dbdsqr_
+      end
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_lapack_dbdsqr_=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_lapack_dbdsqr_=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_dbdsqr_" >&5
+echo "${ECHO_T}$ac_cv_lib_lapack_dbdsqr_" >&6; }
+if test $ac_cv_lib_lapack_dbdsqr_ = yes; then
+  LAPACK="yes"
+else
+  LAPACK="no"
+fi
+
+fi
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -5696,6 +5719,87 @@ fi
   fi
 fi
 
+if test "x${CGNS_PREFIX}" != "x"; then
+  if test "x$enable_cgns" != "xno"; then
+    enable_cgns="yes"
+  fi
+fi
+if test "x$enable_cgns" = "xyes"; then
+  if test "x${CGNS_PREFIX}" != "x"; then
+    LDFLAGS="-L${CGNS_PREFIX}/lib ${LDFLAGS}"
+  fi
+  { echo "$as_me:$LINENO: checking for main in -lcgns" >&5
+echo $ECHO_N "checking for main in -lcgns... $ECHO_C" >&6; }
+if test "${ac_cv_lib_cgns_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcgns -lhdf5 $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_cgns_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_cgns_main=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_cgns_main" >&5
+echo "${ECHO_T}$ac_cv_lib_cgns_main" >&6; }
+if test $ac_cv_lib_cgns_main = yes; then
+  CGNS="yes"
+else
+  CGNS="no"
+fi
+
+  if test "x${CGNS}" = "xyes"; then
+    if test "x${CGNS_PREFIX}" = "x"; then
+      GMSH_LIBS="${GMSH_LIBS} -lcgns"
+      FLAGS="${FLAGS} -DHAVE_LIBCGNS"
+    else
+      GMSH_LIBS="${GMSH_LIBS} -L${CGNS_PREFIX}/lib -lcgns"
+      FLAGS="${FLAGS} -DHAVE_LIBCGNS -I${CGNS_PREFIX}/include"
+    fi
+  fi
+fi
+
 if test "x${HDF5}" = "xyes"; then
   if test "x$enable_med" != "xno"; then
     if test "x${MED_PREFIX}" != "x"; then
diff --git a/configure.in b/configure.in
index 1af17258a43c6c21bbdcfca93a519e3cbe256bca..3b9cf2154f10f8d09ec9b80692374544708c3039 100644
--- a/configure.in
+++ b/configure.in
@@ -51,11 +51,11 @@ AC_ARG_WITH(occ-mesh-constraints-prefix,
             [OCC_MESH_CONTRAINTS_PREFIX=$withval])
 AC_ARG_WITH(hdf5-prefix,
             AC_HELP_STRING([--with-hdf5-prefix=PFX],
-                           [prefix where OpenCascade is installed]),
+                           [prefix where HDF5 is installed]),
             [HDF5_PREFIX=$withval])
 AC_ARG_WITH(med-prefix,
             AC_HELP_STRING([--with-med-prefix=PFX],
-                           [prefix where OpenCascade is installed]),
+                           [prefix where MED is installed]),
             [MED_PREFIX=$withval])
 AC_ARG_WITH(fftw3-prefix,
             AC_HELP_STRING([--with-fftw3-prefix=PFX],
@@ -554,28 +554,6 @@ if test "x${GSL}" != "xyes"; then
 fi
 
 
-dnl Check for CGNS
-if test "x${CGNS_PREFIX}" != "x"; then
-  if test "x$enable_cgns" != "xno"; then
-    enable_cgns="yes"
-  fi
-fi
-if test "x$enable_cgns" = "xyes"; then
-  if test "x${CGNS_PREFIX}" != "x"; then
-    LDFLAGS="-L${CGNS_PREFIX}/lib ${LDFLAGS}"
-  fi
-  AC_CHECK_LIB(cgns,main,CGNS="yes",CGNS="no")
-  if test "x${CGNS}" = "xyes"; then
-    if test "x${CGNS_PREFIX}" = "x"; then
-      GMSH_LIBS="${GMSH_LIBS} -lcgns"
-      FLAGS="${FLAGS} -DHAVE_LIBCGNS"
-    else
-      GMSH_LIBS="${GMSH_LIBS} -L${CGNS_PREFIX}/lib -lcgns"
-      FLAGS="${FLAGS} -DHAVE_LIBCGNS -I${CGNS_PREFIX}/include"
-    fi
-  fi
-fi
-
 dnl Check for OpenCascade
 if test "x${OCC_PREFIX}" != "x"; then
   if test "x$enable_occ" != "xno"; then
@@ -623,7 +601,13 @@ if test "x${BLAS_LAPACK_PREFIX}" != "x"; then
   LDFLAGS="-L${BLAS_LAPACK_PREFIX} -L${BLAS_LAPACK_PREFIX}/lib ${LDFLAGS}"
 fi
 AC_CHECK_LIB(blas,dasum,BLAS="yes",BLAS="no")
+if test "x$BLAS" != "xyes"; then
+   AC_CHECK_LIB(blas,dasum_,BLAS="yes",BLAS="no")
+fi
 AC_CHECK_LIB(lapack,dbdsqr,LAPACK="yes",LAPACK="no",-lblas)
+if test "x$BLAS" != "xyes"; then
+   AC_CHECK_LIB(lapack,dbdsqr_,LAPACK="yes",LAPACK="no",-lblas)
+fi
 AC_LANG_POP()
 
 dnl Check for FourierModel
@@ -684,6 +668,28 @@ if test "x${ZLIB}" = "xyes"; then
   fi
 fi
 
+dnl Check for CGNS
+if test "x${CGNS_PREFIX}" != "x"; then
+  if test "x$enable_cgns" != "xno"; then
+    enable_cgns="yes"
+  fi
+fi
+if test "x$enable_cgns" = "xyes"; then
+  if test "x${CGNS_PREFIX}" != "x"; then
+    LDFLAGS="-L${CGNS_PREFIX}/lib ${LDFLAGS}"
+  fi
+  AC_CHECK_LIB(cgns,main,CGNS="yes",CGNS="no",-lhdf5)
+  if test "x${CGNS}" = "xyes"; then
+    if test "x${CGNS_PREFIX}" = "x"; then
+      GMSH_LIBS="${GMSH_LIBS} -lcgns"
+      FLAGS="${FLAGS} -DHAVE_LIBCGNS"
+    else
+      GMSH_LIBS="${GMSH_LIBS} -L${CGNS_PREFIX}/lib -lcgns"
+      FLAGS="${FLAGS} -DHAVE_LIBCGNS -I${CGNS_PREFIX}/include"
+    fi
+  fi
+fi
+
 dnl Check for MED (needs hdf5)
 if test "x${HDF5}" = "xyes"; then
   if test "x$enable_med" != "xno"; then